const networks = setting_notauto_onexgate.networks;
jQuery(document).ready(function ($) {
  var hook_url_element = $("#woocommerce_OneXGateway_webhook");
  hook_url_element.attr("disabled", true);
  hook_url_element.val(setting_notauto_onexgate.web_hook_url);
  hook_url_element.after(
    '<a href="' +
      setting_notauto_onexgate.web_hook_url +
      '" target="_blank" class="button button-primary">Show</a>'
  );
  hook_url_element.after(
    '<button type="button" class="button button-primary" id="saveclipboardwebhookElement" onclick="saveclipboardwebhook()">Copy</button>'
  );
  var network_element = $("#woocommerce_OneXGateway_network");
  var currency_element = $("#woocommerce_OneXGateway_currency");
  var currency_selected = currency_element.val();
  var networks_selected_currency = networks[currency_selected];
  network_element.hide();
  var network_selected = network_element.val();
  var network_list = '<select class="select "  id="network_selector" style="">';
  if (
    typeof networks_selected_currency != null &&
    networks_selected_currency.length > 0
  ) {
    networks_selected_currency.forEach(function (index) {
      network_list +=
        "<option value='" + index.network + "'>" + index.name + "</option>";
    });
  }
  network_list += "</select>";
  network_element.after(network_list);
  var network_list_element = $("#network_selector");
  network_list_element.val(network_selected);
  network_list_element.on("change", function () {
    network_element.val(this.value);
  });
  currency_element.on("change", function () {
    var currency_selected = this.value;
    var networks_selected_currency = networks[currency_selected];
    network_element.val(networks_selected_currency[0].network);
    var network_list = "";
    if (
      typeof networks_selected_currency != null &&
      networks_selected_currency.length > 0
    ) {
      networks_selected_currency.forEach(function (index) {
        network_list +=
          "<option value='" + index.network + "'>" + index.name + "</option>";
      });
    }
    network_list_element.html(network_list);
  });
  var success_threshold_percent = $(
    "#woocommerce_OneXGateway_success_threshold_percent"
  );
  success_threshold_percent.val(
    setting_notauto_onexgate.success_threshold_percent
  );
  success_threshold_percent.keypress(function (event) {
    return !isNaN(event.key);
  });
});
function saveclipboardwebhook() {
  navigator.clipboard.writeText(setting_notauto_onexgate.web_hook_url);
  document.getElementById("saveclipboardwebhookElement").innerHTML = "Coped!";
  setTimeout(() => {
    document.getElementById("saveclipboardwebhookElement").innerHTML = "Copy";
  }, 3000);
}
