<?php

/**
 * Custom currency and currency symbol
 */
add_filter('woocommerce_currencies', 'add_one_x_gateway_currency');

function add_one_x_gateway_currency($currencies)
{
    $currencies['1xgate'] = __('1xgate', 'woocommerce');
    return $currencies;
}

add_filter('woocommerce_currency_symbol', 'add_one_x_gateway_currency_symbol', 10, 2);

function add_one_x_gateway_currency_symbol($currency_symbol, $currency)
{
    switch ($currency) {
        case '1xgate':
            $currency_symbol = base_onexgateway_st()->currency_symbol();
            break;
    }
    return $currency_symbol;
}
