<?php

function add_custom_order_statuses_onexgateway()
{
    register_post_status('wc-partially-paid', array(
        'label'                     => 'Partially Paid',
        'public'                    => true,
        'exclude_from_search'       => false,
        'show_in_admin_all_list'    => true,
        'show_in_admin_status_list' => true,
        'label_count'               => _n_noop('Partially Paid (%s)', 'Partially Paid (%s)')
    ));
}
add_action('init', 'add_custom_order_statuses_onexgateway');

function add_custom_status_to_order_statuses_onexgateway($order_statuses)
{
    $order_statuses['wc-partially-paid'] = 'Partially Paid';

    return $order_statuses;
}
add_filter('wc_order_statuses', 'add_custom_status_to_order_statuses_onexgateway');
